IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LOG_ADUIT' AND KSQL_COL_NAME IN ('FCLIENTIP')) 
 ALTER TABLE T_LOG_ADUIT ADD (FCLIENTIP VARCHAR(128) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LOG_ADUIT' AND KSQL_COL_NAME IN ('FUSERID')) 
 ALTER TABLE T_LOG_ADUIT ADD (FUSERID VARCHAR(50) DEFAULT ' ' NOT NULL );
 
IF NOT EXISTS (SELECT 1 FROM KSQL_USERCOLUMNS WHERE KSQL_COL_TABNAME = 'T_LOG_ADUIT' AND KSQL_COL_NAME IN ('FOPUSERNAME')) 
 ALTER TABLE T_LOG_ADUIT ADD (FOPUSERNAME NVARCHAR(255) DEFAULT ' ' NOT NULL );